/**
 * Copyright (C) 2008 Mathieu Carbou <mathieu.carbou@gmail.com>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.mycila.testing.plugins.jetty.locator;

import java.io.File;
import java.io.FileNotFoundException;

import com.google.common.collect.Lists;

class AntFileLocator
        implements FileLocator {
    
    /**
     * {@inheritDoc}
     * 
     * @see com.mycila.testing.plugins.jetty.locator.FileLocator#locate(java.lang.String)
     */
    public Iterable<File> locate(
            final String path)
        throws FileNotFoundException
    {
        return Lists.newArrayList(new RegFileLocator().locate(new AntPath(path).toRegex()));
    }
    
}
